Skip to main content
POST
/
track
/
lead
cURL
curl --request POST \
  --url https://api.cme.sh/track/lead \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clickId": "<string>",
  "eventName": "Sign up",
  "customerExternalId": "user_42",
  "mode": "deferred",
  "customerName": "<string>",
  "customerEmail": "jsmith@example.com"
}
'
{
  "success": true,
  "timestamp": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Track a lead event

clickId
string
required

The unique ID of the click that the lead conversion event is attributed to

eventName
string
required

The name of the lead event to track

Example:

"Sign up"

customerExternalId
string
required

The unique ID of the customer in your system

Example:

"user_42"

mode
string | null
default:non-deferred

The mode of the lead event to track

Example:

"deferred"

customerName
string | null

The name of the customer

customerEmail
string<email> | null

The email address of the customer

Response

Lead event tracked successfully

success
boolean
timestamp
string